﻿Public Class Form1

    Private Declare Function ReadInfoFromPSFile Lib "ReadInfo.dll" (ByVal fileName As String, ByVal bIsRenderToPDF As Integer, _
    ByRef bwPageCount As Integer, ByRef colorPageCount As Integer, ByRef copyCount As Integer, ByRef pagewidth As Double, _
    ByRef pageheight As Double, ByVal paperSizeName As String) As Integer

    Private Declare Function ReadInfoFromPCLFile Lib "ReadInfo.dll" (ByVal fileName As String, ByVal bIsRenderToPDF As Integer, _
        ByRef bwPageCount As Integer, ByRef colorPageCount As Integer, ByRef copyCount As Integer, ByRef pagewidth As Double, _
        ByRef pageheight As Double, ByVal paperSizeName As String) As Integer

    Private Declare Sub ReadInfoSetCode Lib "ReadInfo.dll"(ByVal lpCode As String)
    Private Declare Sub ReadInfoEnableDebug Lib "ReadInfo.dll"(ByVal bEnable As Integer)
    Private Declare Function ReadInfoGetPageCount Lib "ReadInfo.dll"() As Integer
    Private Declare Function ReadInfoGetPageColorInfo Lib "ReadInfo.dll"(ByVal nPage As Integer) As Integer
    Private Declare Function ReadInfoGetAllInfo Lib "ReadInfo.dll"(ByVal lpszBuffer As String, ByVal nBufferLen As Integer) As Integer
    Private Declare Function ReadInfoIdentifyGrayAsColor Lib "ReadInfo.dll"(ByVal bEnable As Integer) As Integer

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim bIsRenderToPDF As Integer
        Dim bwPageCount As Integer
        Dim colorPageCount As Integer
        Dim copyCount As Integer
        Dim nPageWidth As Double
        Dim nPageHeight As Double
        Dim strPaperSizeName As String
        Dim nRet As Integer
        Dim strMsg As String
        Dim strFileName As String
        Dim nPageCount As Integer
        Dim strColorInfoForAllPages As String

        bIsRenderToPDF = 1
        bwPageCount = 0
        colorPageCount = 0
        copyCount = 0
        nPageWidth = 0
        nPageHeight = 0
        strPaperSizeName = Space$(300)

        ReadInfoSetCode("XXXXXXXXXXXXXXXXXXX")
        ReadInfoEnableDebug(1)
        ReadInfoIdentifyGrayAsColor(True)

        strFileName = Application.StartupPath() & "\sample\test_tiger.eps"

        nRet = ReadInfoFromPSFile(strFileName, bIsRenderToPDF, bwPageCount, colorPageCount, copyCount, _
            nPageWidth, nPageHeight, strPaperSizeName)

        strMsg = ""
        strMsg = strMsg + "FileName = " + strFileName + vbCrLf
        strMsg = strMsg + "bIsRenderToPDF = " + CStr(bIsRenderToPDF) + vbCrLf
        strMsg = strMsg + "bwPageCount = " + CStr(bwPageCount) + vbCrLf
        strMsg = strMsg + "colorPageCount = " + CStr(colorPageCount) + vbCrLf
        strMsg = strMsg + "copyCount = " + CStr(copyCount) + vbCrLf
        strMsg = strMsg + "PageWidth = " + CStr(nPageWidth) + vbCrLf
        strMsg = strMsg + "PageHeight = " + CStr(nPageHeight) + vbCrLf
        strMsg = strMsg + "PaperSizeName = " + strPaperSizeName.Trim() + vbCrLf

        nPageCount = ReadInfoGetPageCount()
        strMsg = strMsg + "Count Color, grayscale and BW pages, Total Page Count is: " + CStr(nPageCount) + vbCrLf
        For nPageIndex As Integer = 0 To nPageCount - 1
            Dim nColor As Integer = ReadInfoGetPageColorInfo(nPageIndex)
            Select Case nColor
                Case 1
                    strMsg = strMsg + "Page " + CStr(nPageIndex + 1) + " is [Color]" + vbCrLf
                    Exit Select
                Case 2
                    strMsg = strMsg + "Page " + CStr(nPageIndex + 1) + " is [   BW]" + vbCrLf
                    Exit Select
                Case 3
                    strMsg = strMsg + "Page " + CStr(nPageIndex + 1) + " is [ Gray]" + vbCrLf
                    Exit Select
                Case Else
                    strMsg = strMsg + "[Failed to get color information from Page " + CStr(nPageIndex + 1) + "]" + vbCrLf
                    Exit Select
            End Select
        Next

        strColorInfoForAllPages = Space$(5000)
        nRet = ReadInfoGetAllInfo(strColorInfoForAllPages, strColorInfoForAllPages.Length)
        strMsg = strMsg + strColorInfoForAllPages.Trim() + vbCrLf
        strMsg = strMsg.Replace(vbNullChar, "")
        MsgBox(strMsg)

        '=============================================================================
        strFileName = Application.StartupPath() & "\sample\test_grid.pcl"

        nRet = ReadInfoFromPCLFile(strFileName, bIsRenderToPDF, bwPageCount, colorPageCount, copyCount, _
            nPageWidth, nPageHeight, strPaperSizeName)

        strMsg = ""
        strMsg = strMsg + "FileName = " + strFileName + vbCrLf
        strMsg = strMsg + "bIsRenderToPDF = " + CStr(bIsRenderToPDF) + vbCrLf
        strMsg = strMsg + "bwPageCount = " + CStr(bwPageCount) + vbCrLf
        strMsg = strMsg + "colorPageCount = " + CStr(colorPageCount) + vbCrLf
        strMsg = strMsg + "copyCount = " + CStr(copyCount) + vbCrLf
        strMsg = strMsg + "PageWidth = " + CStr(nPageWidth) + vbCrLf
        strMsg = strMsg + "PageHeight = " + CStr(nPageHeight) + vbCrLf
        strMsg = strMsg + "PaperSizeName = " + strPaperSizeName.Trim() + vbCrLf

        nPageCount = ReadInfoGetPageCount()
        strMsg = strMsg + "Count Color, grayscale and BW pages, Total Page Count is: " + CStr(nPageCount) + vbCrLf
        For nPageIndex As Integer = 0 To nPageCount - 1
            Dim nColor As Integer = ReadInfoGetPageColorInfo(nPageIndex)
            Select Case nColor
                Case 1
                    strMsg = strMsg + "Page " + CStr(nPageIndex + 1) + " is [Color]" + vbCrLf
                    Exit Select
                Case 2
                    strMsg = strMsg + "Page " + CStr(nPageIndex + 1) + " is [   BW]" + vbCrLf
                    Exit Select
                Case 3
                    strMsg = strMsg + "Page " + CStr(nPageIndex + 1) + " is [ Gray]" + vbCrLf
                    Exit Select
                Case Else
                    strMsg = strMsg + "[Failed to get color information from Page " + CStr(nPageIndex + 1) + "]" + vbCrLf
                    Exit Select
            End Select
        Next

        strColorInfoForAllPages = Space$(5000)
        nRet = ReadInfoGetAllInfo(strColorInfoForAllPages, strColorInfoForAllPages.Length)
        strMsg = strMsg + strColorInfoForAllPages.Trim() + vbCrLf
        strMsg = strMsg.Replace(vbNullChar, "")
        MsgBox(strMsg)

    End Sub
End Class
